#! /bin/sh
#
#		Written by Miquel van Smoorenburg <miquels@cistron.nl>.
#		Modified for Debian 
#		by Ian Murdock <imurdock@gnu.ai.mit.edu>.
#    Customized for nuauth by Vincent Deffontaines <vincent@gryzor.com>
#
#

### BEGIN INIT INFO
# Provides:          nuauth
# Required-Start:    $syslog $remote_fs
# Required-Stop:     $syslog $remote_fs
# Should-Start:      $local_fs
# Should-Stop:       $local_fs
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Control script for nuauth
# Description:       Init script to control (start/stop/reload)
#                    the nuauth server.
### END INIT INFO

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/sbin/nuauth
PID=nuauth
NAME=nuauth
DESC=nuauth
NUAUTH_START="no"


test -x $DAEMON || exit 0

# Include nuauth defaults if available
if [ -f /etc/default/nuauth ] ; then
	. /etc/default/nuauth
fi

if [ "$NUAUTH_START" != "true" ]; then
  exit 0
fi

if [ ! "$NUAUTH_VERBOSITY" ]; then
  NUAUTH_VERBOSITY="vv"
fi

if [ ! "$NUAUTH_USER" ]; then
  echo "No user configured to run nuauth... Trying \"nobody\" ..."
  NUAUTH_USER="nobody"
fi

DAEMON_OPTS="-D -$NUAUTH_VERBOSITY"

set -e

check_var_run_dir() {
	if [ ! -d /var/run/$PID/$PID ]; then
		mkdir /var/run/$PID/$PID
		chown $NUAUTH_USER /var/run/$PID/$PID
	fi
}

case "$1" in
  start)
	check_var_run_dir
	echo -n "Starting $DESC: "
	start-stop-daemon --start --quiet --pidfile /var/run/$PID/$PID.pid \
		--chuid $NUAUTH_USER --exec $DAEMON -- $DAEMON_OPTS
	echo "$NAME."
	;;
  stop)
	echo -n "Stopping $DESC: "
	start-stop-daemon --stop --quiet  --oknodo --pidfile /var/run/$PID/$PID.pid \
		--retry 5 --exec $DAEMON
	echo "$NAME."
	;;
  #reload)
	#
	#	If the daemon can reload its config files on the fly
	#	for example by sending it SIGHUP, do it here.
	#
	#	If the daemon responds to changes in its config file
	#	directly anyway, make this a do-nothing entry.
	#
	# echo "Reloading $DESC configuration files."
	# start-stop-daemon --stop --signal 1 --quiet --pidfile \
	#	/var/run/$NAME.pid --exec $DAEMON
  #;;
  restart|force-reload)
	#
	#	If the "reload" option is implemented, move the "force-reload"
	#	option to the "reload" entry above. If not, "force-reload" is
	#	just the same as "restart".
	#
	check_var_run_dir
	echo -n "Restarting $DESC: "
	start-stop-daemon --stop --quiet --oknodo --pidfile \
		/var/run/$PID/$PID.pid --retry 5 --exec $DAEMON
	sleep 1
	start-stop-daemon --start --quiet --pidfile /var/run/$PID/$PID.pid \
                --chuid $NUAUTH_USER --exec $DAEMON -- $DAEMON_OPTS
	echo "$NAME."
	;;
  *)
	N=/etc/init.d/$NAME
	# echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
	echo "Usage: $N {start|stop|restart|force-reload}" >&2
	exit 1
	;;
esac

exit 0
